oracle7的数据如何导入到oracle9i中?

xngu 2003-12-12 01:06:14
如题!
...全文
56 8 打赏 收藏 举报
写回复
8 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
chanet 2003-12-14
只支持 7.3.4 -> 9i
  • 打赏
  • 举报
回复
beckhambobo 2003-12-14
字符集转换问题:
http://www.ncn.cn/oracle/admin/nls_convert1.htm
  • 打赏
  • 举报
回复
leecooper0918 2003-12-13
呵呵,牧师同志很牛,连oracle的bug都知道。
  • 打赏
  • 举报
回复
chanet 2003-12-12
详细请看:
http://www.ncn.cn/oracle/admin/expimp.htm
http://www.oradb.net/expimp/expimp_001.htm
  • 打赏
  • 举报
回复
chanet 2003-12-12
般来说,从低版本导入到高版本问题不大,麻烦的是将高版本的数据导入到低版本中,在Oracle9i之前,不同版本Oracle之间的EXP/IMP可以通过下面的方法来解决:

1、在高版本数据库上运行底版本的catexp.sql;

2、使用低版本的EXP来导出高版本的数据;

3、使用低版本的IMP将数据库导入到底版本数据库中;

4、在高版本数据库上重新运行高版本的catexp.sql脚本。

但在9i中,上面的方法并不能解决问题。如果直接使用底版本EXP/IMP会出现如下错误:

EXP-00008: ORACLE error %lu encountered

ORA-00904: invalid column name

这已经是一个公布的BUG,需要等到Oracle10.0才能解决,BUG号为2261722,你可以到METALINK上去查看有关此BUG的详细信息。

  • 打赏
  • 举报
回复
zzzzllllhh 2003-12-12
我平时用的是一个PL_sql软件,用里面的导出功能,就能倒出一个类似以程序的东西,用这个就不会有错了
 create table 库名 
   下边就是全部的数据了,绝对正确和快速的
  • 打赏
  • 举报
回复
如果字符集不同.导入不成功,需要设置NSL_LANG变量.
  • 打赏
  • 举报
回复
在Oracle7中用exp导出,然后到Oracle9i中用imp导入就行了。
  • 打赏
  • 举报
回复
相关推荐
发帖
Oracle 高级技术
加入

3451

社区成员

Oracle 高级技术相关讨论专区
社区管理员
  • 高级技术社区
申请成为版主
帖子事件
创建了帖子
2003-12-12 01:06
社区公告
暂无公告